
Redmine - Defect #6130

Subtask with 0% sets rollup to 0%

2010-08-13 08:18 - Howard Mall

Status: Closed Start date: 2010-08-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

If you have any subtasks with 0% complete the parent task will be set to 0% regardless of the percent complete of the other

subtasks.

MySQL 5.0.90-community-nt

Ruby 1.8.7 (2008-08-11 patchlevel 72)

Rails 2.3.5

1.0.0-RC

History

#1 - 2010-08-14 01:06 - Mischa The Evil

I'm not able to reproduce this issue on the Redmine demo site.

See e.g. http://demo.redmine.org/projects/issue6121-2-1/issues?query_id=509. Here you can see that issue 28762 has two subtasks (28763 and

28846) with each a different %-done ratio (one 0% and the other 100%).

As expected issue 28762 has a %-done ratio of 50% (see http://demo.redmine.org/issues/28762).

Can you be more precise in the steps how to reproduce this error?

#2 - 2010-09-20 02:37 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to No feedback

Please reopen if this issue somehow persists.

#3 - 2011-10-25 12:41 - Morris Lavender
